package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.RegisterParents;
import org.dromara.system.domain.vo.RegisterParentsVo;
import org.dromara.system.domain.bo.RegisterParentsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 注册-家长Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IRegisterParentsService {

    /**
     * 查询注册-家长
     */
    RegisterParentsVo queryById(Long id);

    /**
     * 查询注册-家长列表
     */
    TableDataInfo<RegisterParentsVo> queryPageList(RegisterParentsBo bo, PageQuery pageQuery);

    /**
     * 查询注册-家长列表
     */
    List<RegisterParentsVo> queryList(RegisterParentsBo bo);

    /**
     * 新增注册-家长
     */
    R<RegisterParentsVo> insertByBo(RegisterParentsBo bo);

    /**
     * 修改注册-家长
     */
    Boolean updateByBo(RegisterParentsBo bo);

    /**
     * 校验并批量删除注册-家长信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
